Question

1
Replies
68
Views
SupriyaA1083 Member since 2015 1 post
Infosys
Posted: 3 years ago
Last activity: 3 years 6 months ago
Closed
Solved

Error: This update cannot be applied, the system contains hotfixes generated after this release was built.

Hi Team,

We had run ML update from Pega 7.1.6 to Pega 7.2.1. The rules update build failed with the below error.

We have raised Support Request as suggested in the below error message.

Did anyone noted similar error before? If so, what measures have you taken to fix this?

Any comments on this would be very much appreciated!

Error Message:

System meets basic requirements for update to 07-10-25
PRPC_Rules build date: 2016-06-22 17.56 EDT

The following code modules were updated after this release was built:
pzLastModified pzPackage pzClass
2016-07-13 05:00:58.0 META-INF MANIFEST.MF
2016-07-13 05:00:58.0 com/pega/pegarules/session/internal/engineinterface/service HttpAPI$1.class
2016-07-13 05:00:58.0 com/pega/pegarules/session/internal/engineinterface/service HttpAPI.class
2016-09-23 13:53:24.0 META-INF MANIFEST.MF
2016-09-23 13:53:24.0 com/pega/pegarules/data/external/rd/constants ColumnType.class
2016-09-23 13:53:24.0 _pegainf_ jar.signature

These instances may not be found by rule resolution after updating.
Please contact Pega Support to evaluate whether to continue the update process.

BUILD FAILED
/home/Pega7Update/scripts/setupDatabase.xml:391: The following error occurred while executing this line:
/home/Pega7Update/scripts/setupDatabase.xml:1762: This update cannot be applied, the system contains hotfixes generated after this release was built.

Thanks!

Low-Code App Development Upgrades
Moderation Team has archived post
Share this page LinkedIn